%define tagname 0.3
%define relvers 0
%define tsuffix g8ed9274
%define dsuffix 31b4926

%global debug_package %{nil}

Name:           gio-sharp
Version:        %{tagname}
Release:        1%{?dist}
Summary:        C# bindings for gio

Group:          Development/Libraries
License:        MIT
URL:            http://github.com/mono/%{name}
# Releases are tarballs downloaded from a tag at github.
# They are releases, but the file is generated on the fly.
# The actual URL is: http://github.com/mono/$name/tarball/$tagname
Source0:        mono-%{name}-%{tagname}-%{relvers}-%{tsuffix}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  glib2-devel
BuildRequires:  gtk-sharp2-devel
BuildRequires:  gtk-sharp2-gapi

# Mono only available on these:
ExclusiveArch: %ix86 x86_64 ppc ppc64 ia64 %{arm} sparcv9 alpha s390x

%package devel
Summary:        Development files for gio-sharp
Requires:       gtk-sharp2-gapi
Requires:       pkgconfig
Requires:       %{name} = %{version}-%{release}

%description
C# bindings for gio

%description devel
Development files for gio-sharp

%prep
%setup -q -n mono-%{name}-%{dsuffix}

%build
sed -i 's|$(prefix)/lib/|$(libdir)/|' gio/Makefile.am # Fix install path
sed -i 's|${exec_prefix}/lib|@libdir@|' gio/%{name}-2.0.pc.in # Fix libdir
NOCONFIGURE=true ./autogen-2.22.sh
%configure
make # Parallel builds don't work

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
chmod 644 `find $RPM_BUILD_ROOT%{_libdir} -name '*.dll.config'`

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_libdir}/%{name}

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/%{name}-2.0.pc
%{_datadir}/gapi-2.0/gio-api.xml

%changelog
* Wed Apr 06 2011 Christian Krause <chkr@fedoraproject.org> - 0.3-1
- Update to release 0.3

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 10 2011 Dan Horák <dan[at]danny.cz> - 0.2-3
- updated the supported arch list

* Sun Oct 03 2010 Nathaniel McCallum <nathaniel@natemccallum.com> - 0.2-2
- Fix -devel requires (pkgconfig, base package)
- Disable debuginfo

* Wed Sep 29 2010 Nathaniel McCallum <nathaniel@natemccallum.com> - 0.2-1
- Initial version

